rbd: trivial layering design doc

04/13/2012 09:20 AM - Sage Weil

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Josh Durgin   

Category:    

Target version: v0.49   

Source:  Reviewed:  

Tags:  Affected Versions:  

Backport:  Pull request ID:  

Description

- how parent images are marked read-only

- how parent/child relationship is represented

- possibly how this allows parent image read-only-ness to be enforced via osd caps?

- read path

- write path

- copy-up process, atomicity/safety thereof

- rbd tool/user experience

- keep in mind future optimizations:

- object and image bitmaps to limit fall-thru checks, iterating over non-existent objects.  see 

http://marc.info/?l=ceph-devel&m=129867273303846

History

#1 - 04/13/2012 09:20 AM - Sage Weil

- translation missing: en.field_position deleted (1)

- translation missing: en.field_position set to 3

#2 - 04/13/2012 09:20 AM - Sage Weil

- translation missing: en.field_position deleted (3)

- translation missing: en.field_position set to 1182

#3 - 04/23/2012 02:19 PM - Sage Weil

- Target version deleted (v0.47)

#4 - 04/23/2012 02:27 PM - Sage Weil

- translation missing: en.field_position deleted (1210)

- translation missing: en.field_position set to 24

#5 - 05/14/2012 09:34 AM - Sage Weil

- translation missing: en.field_position deleted (36)

- translation missing: en.field_position set to 3

#6 - 05/14/2012 09:34 AM - Sage Weil

- translation missing: en.field_position deleted (4)

- translation missing: en.field_position set to 3

#7 - 05/15/2012 09:04 PM - Sage Weil

- Category set to librbd
#8 - 05/15/2012 09:05 PM - Sage Weil

- Description updated

#9 - 05/16/2012 10:19 AM - Sage Weil

- Target version set to v0.48

- translation missing: en.field_position deleted (13)

- translation missing: en.field_position set to 1250

#10 - 05/16/2012 10:59 AM - Josh Durgin

- Assignee set to Josh Durgin

#11 - 06/11/2012 11:08 AM - Sage Weil

- Target version changed from v0.48 to v0.49

#12 - 06/13/2012 02:06 PM - Sage Weil

- translation missing: en.field_story_points set to 1

- translation missing: en.field_position deleted (1277)

- translation missing: en.field_position set to 74

#13 - 06/29/2012 09:48 AM - Sage Weil

- Project changed from Ceph to rbd

- Category deleted (librbd)

#14 - 06/29/2012 09:52 AM - Sage Weil

- Target version deleted (v0.49)

#15 - 06/29/2012 09:53 AM - Sage Weil

- Target version set to v0.49

- translation missing: en.field_position deleted (80)

- translation missing: en.field_position set to 1

#16 - 06/29/2012 07:23 PM - Josh Durgin

- Status changed from New to Fix Under Review

See wip-rbd-layering-doc

#17 - 06/30/2012 10:51 PM - Sage Weil

- Status changed from Fix Under Review to Resolved

- translation missing: en.field_position deleted (12)

- translation missing: en.field_position set to 13
